/*
 * string.h
 *
 * Definitions for memory and string functions.
 */

#ifndef _STRING_H_
#define	_STRING_H_
#include <_ansi.h>
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif


_PTR 	 _EXFUN(memchr,(_CONST _PTR, int, size_t));
int 	 _EXFUN(memcmp,(_CONST _PTR, _CONST _PTR, size_t));
_PTR 	 _EXFUN(memcpy,(_PTR, _CONST _PTR, size_t));
_PTR	 _EXFUN(memmove,(_PTR, _CONST _PTR, size_t));
_PTR	 _EXFUN(memset,(_PTR, int, size_t));
char 	*_EXFUN(strcat,(char *, _CONST char *));
char 	*_EXFUN(strchr,(_CONST char *, int));
int	 _EXFUN(strcmp,(_CONST char *, _CONST char *));
int	 _EXFUN(strcoll,(_CONST char *, _CONST char *));
char 	*_EXFUN(strcpy,(char *, _CONST char *));
size_t	 _EXFUN(strcspn,(_CONST char *, _CONST char *));
char 	*_EXFUN(strerror,(int));
char 	*_EXFUN(strsignal,(int));
size_t	 _EXFUN(strlen,(_CONST char *));
char 	*_EXFUN(strncat,(char *, _CONST char *, size_t));
int	 _EXFUN(strncmp,(_CONST char *, _CONST char *, size_t));
char 	*_EXFUN(strncpy,(char *, _CONST char *, size_t));
char 	*_EXFUN(strpbrk,(_CONST char *, _CONST char *));
char 	*_EXFUN(strrchr,(_CONST char *, int));
size_t	 _EXFUN(strspn,(_CONST char *, _CONST char *));
char 	*_EXFUN(strstr,(_CONST char *, _CONST char *));
char 	*_EXFUN(strtok,(char *, _CONST char *));
size_t	 _EXFUN(strxfrm,(char *, _CONST char *, size_t));

#ifndef __STRICT_ANSI__

int	 _EXFUN(bcmp,(_CONST char *, _CONST char *, size_t));
void	 _EXFUN(bcopy,(_CONST char *, char *, size_t));
void	 _EXFUN(bzero,(void *, size_t));
int	 _EXFUN(ffs,(int));
char 	*_EXFUN(index,(_CONST char *, int));
_PTR	 _EXFUN(memccpy,(_PTR, _CONST _PTR, int, size_t));
char 	*_EXFUN(rindex,(_CONST char *, int));
int	 _EXFUN(strcasecmp,(_CONST char *, _CONST char *));
char 	*_EXFUN(strdup,(_CONST char *));
int	 _EXFUN(strncasecmp,(_CONST char *, _CONST char *, size_t));
char 	*_EXFUN(strsep,(char *, _CONST char *));
void	 _EXFUN(swab,(_CONST char *, char *, size_t));
#endif

#ifdef __cplusplus
}
#endif

#endif
